#ifndef (Master)
	#include "colors.inc"
	#include "textures.inc"
	#include "shapes.inc"

	camera {
	   location <0.06837, 0.06837, -9.9209>
	//   up       <0, 1, 0>
	   look_at  <0, -2, 0>
	}

	// create a regular point light source
	light_source
	{
	  0*x // light's position (translated below)
	  color White
	  translate <-20, 40, -20>
	}

	light_source { < 1.5625 , 1.5625 , -7.90625 > color White }

#end

#declare Peluche =
  texture {
   pigment {
     color red 0.6 green 0.3 blue 0
		   }
   normal {
			bump_map
			{
		  tga "oursmap.tga"
	  	map_type 2
	  	interpolate 2
	  	bump_size 0.5
			}
    }
   finish {
   	specular 0.3
//    roughness 0.15
    diffuse 0
    ambient color White
    }
  }


#declare Peluche1 =
  texture {
   pigment {
     color White
		   }
   normal {
			bump_map
			{
		  tga "oursmap.tga"
	  	map_type 2
	  	interpolate 2
	  	bump_size 0.5
			}
    }
   finish {
   	specular 0.3
//    roughness 0.15
    diffuse 0
    ambient color White
    }
  }


#declare StrengthVal = 1.0

#declare NOUNOURS = union {
blob
{
  threshold 0.6
 // tte
  sphere { <0.008439, 0.000000, -0.008439>, 2.699176, StrengthVal
   texture { Peluche
       }
   }
 // museau
  sphere { <0.008439, -0.345992, -1.122363>, 0.483523, StrengthVal
   texture { Peluche1
       }
   }
 // joue
  sphere { <0.666667, -0.194093, -0.801688>, 0.698872, StrengthVal
   texture { Peluche1
       }
   }
 // joue
  sphere { <-0.666667, -0.194093, -0.801688>, 0.698872, StrengthVal
   texture { Peluche1
       }
   }
 // oreille
  sphere { <1.274262, 1.021097, 0.000000>, 0.847984, StrengthVal
   texture { Peluche
       }
   }
 // oreille -
  sphere { <1.274262, 1.001097, -0.200000>, 0.647984, -StrengthVal
   texture { Peluche1
       }
   }
 // oreille
  sphere { <-1.274262, 1.021097, 0.000000>, 0.847984, StrengthVal
   texture { Peluche
       }
   }
 // oreille -
  sphere { <-1.274262, 1.001097, -0.200000>, 0.647984, -StrengthVal
   texture { Peluche1
       }
   }
 // corps
  sphere { <0.032192, -3.895176, -0.008439>, 3.433370, StrengthVal
   texture { Peluche
       }
   }
 // sein
  sphere { <-0.611639, -1.963684, 0.000000>, 1.441553, StrengthVal
   texture { Peluche
       }
   }
 // sein
  sphere { <0.611639, -1.963684, 0.000000>, 1.441553, StrengthVal
   texture { Peluche
       }
   }

}

blob
{
  threshold 0.6
 // bras gauche
  cylinder {<.067389, -1.225466, 0.000000>, <1.710115, -1.407102, 0.000000>, 1.041553, StrengthVal
   texture { Peluche
       }
   }
  cylinder {<1.710115, -1.407102, 0.000000>, <3.010115, -1.907102, -0.400000>, 1.041553, StrengthVal
   texture { Peluche
       }
   }
}

blob
{
  threshold 0.6
 // bras droit
  cylinder {<-.067389, -1.225466, 0.000000>, <-1.710115, -1.407102, 0.000000>, 1.041553, StrengthVal
   texture { Peluche
       }
   }
  cylinder {<-1.710115, -1.407102, 0.000000>, <-3.010115, -1.007102, -0.400000>, 1.041553, StrengthVal
   texture { Peluche
       }
   }

}

blob
{
  threshold 0.6
 // jambe gauche
  cylinder {<1.055883, -4.764348, -0.128766>, <1.313415, -4.249283, -1.210402>, 1.441553, StrengthVal
   texture { Peluche
       }
   }
  cylinder {<1.982999, -5.073387, -2.395051>, <1.313415, -4.249283, -1.210402>, 1.141553, StrengthVal
   texture { Peluche
       }
   }
}

blob
{
  threshold 0.6
 // jambe droite
  cylinder {<-1.055883, -4.764348, -0.128766>, <-1.313415, -4.249283, -1.210402>, 1.441553, StrengthVal
   texture { Peluche
       }
   }
  cylinder {<-1.982999, -5.073387, -2.395051>, <-1.313415, -4.249283, -1.210402>, 1.141553, StrengthVal
   texture { Peluche
       }
   }
}

 // truffe
  sphere { <-0.008439, -0.278481, -1.459916>, 0.181267
   texture {
      pigment { color Gray05 }
      finish { ambient 0.3 diffuse 0.7 phong 1.0 phong_size 90 }
       }
   }
 // oeil
  sphere { <0.245992, 0.261603, -1.096751>, 0.183147
	 scale x*1.2
   texture {
      pigment { color Gray05 }
      finish { ambient 0.3 diffuse 0.7 phong 1.0 phong_size 90 }
       }
   }
 // oeil
  sphere { <-0.245992, 0.261603, -1.096751>, 0.183147
	 scale x*1.2
   texture {
      pigment { color Gray05 }
      finish { ambient 0.3 diffuse 0.7 phong 1.0 phong_size 90 }
       }
   }
}

#ifndef (Master)
	object {NOUNOURS}
#end
