#ifndef (Master)

	#include "colors.inc"
	#include "textures.inc"
	#include "shapes.inc"

	camera {
	   location <2, 2, -2>
//	   up       <0, 1, 0>
	   look_at  <0, 0, 0>
	}

	light_source
	{
	  0*x // light's position (translated below)
	  color White
	  translate <-20, 40, -20>
	}

	light_source { < 3.5 , 3.5 , -3.9 > color White }

#end

#declare RED_PLASTIC = texture {
    finish { ambient 0.1
             diffuse 0.7
             phong 1.0
             phong_size 70.0 }
    pigment { color Red }
}
#declare YELLOW_PLASTIC = texture {
    finish { ambient 0.1
             diffuse 0.7
             phong 1.0
             phong_size 70.0 }
    pigment { color Yellow }
}
#declare BLUE_PLASTIC = texture {
    finish { ambient 0.1
             diffuse 0.7
             phong 1.0
             phong_size 70.0 }
    pigment { color Blue }
}

#declare FACE =
	box
	{
  <0, 0, 0>
  <0.8, 0.8, 0.2>
  texture {YELLOW_PLASTIC}
	}

#declare BOITE =
	intersection
	{
	box { <0, 0, 0> <1, 1, 1> }
	sphere { <0.5, 0.5, 0.5> 0.8 }
	texture {RED_PLASTIC}
	}

#declare BOITE1 =
	difference
	{
  object {BOITE}
  object
		{
		FACE
		translate <0.1,0.1,-0.1>
		}
  object
		{
		FACE
		rotate x*-90
		translate <0.1,0.9,0.9>
		}
  object
		{
		FACE
		rotate y*-90
		translate <1.1,0.1,0.1>
		}
	}

#declare ABCD =
	union
	{
  object {BOITE1}
	text
		{
  	ttf "arialbd.ttf", "A", 0.2, 0
  	texture {BLUE_PLASTIC}
		translate <0.15,0.15,0>
		}
	text
		{
  	ttf "arialbd.ttf", "E", 0.2, 0
	  texture {BLUE_PLASTIC}
		rotate x*90
		translate <0.25,1.0,0.15>
		}
	text
		{
	  ttf "arialbd.ttf", "O", 0.2, 0
	  texture {BLUE_PLASTIC}
		rotate y*-90
		translate <1.0,0.15,0.15>
		}
	}

#ifndef (Master)
	object { ABCD }
#end
